<?php

namespace Drupal\choices_autocomplete;

/**
 * Provides Choices.js autocomplete defaults.
 */
final class ChoicesAutocompleteDefaults {

  /***
   * Get the default options.
   *
   * @return array
   *   Returns an array of default options.
   */
  public static function getOptions(): array {
    return [
      'instance' => [
        'remove_item_text' => t('Remove item'),
      ],
      'plugin' => [
        'searchPlaceholderValue' => t('Start typing to find results'),
        'loadingText' => t('Loading...'),
        'noResultsText' => t('No results found'),
        'itemSelectText' => t('Press to select'),
        'maxItemText' => t('Max number of items selected'),
        'position' => 'auto',
      ],
    ];
  }

}
